<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.buy507.mall.mapper.DmsDistributionDictionaryMapper">
  <resultMap id="BaseResultMap" type="com.buy507.mall.model.DmsDistributionDictionary">
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="title" jdbcType="VARCHAR" property="title" />
    <result column="name" jdbcType="VARCHAR" property="name" />
    <result column="value" jdbcType="VARCHAR" property="value" />
    <result column="comment" jdbcType="VARCHAR" property="comment" />
    <result column="show_status" jdbcType="INTEGER" property="showStatus" typeHandler="org.apache.ibatis.type.EnumOrdinalTypeHandler"/>
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
  </resultMap>
  
  <select id="selectAll" resultMap="BaseResultMap">
    select *
      from dms_distribution_dictionary
  </select>
  
  <select id="selectByShowStatus" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    select *
      from dms_distribution_dictionary
     where show_status = #{showStatus}
  </select>
  
</mapper>